Incompatibility
Keywords: uk.ac.ic.doc.automed.matching.relationships.Incompatibility,Incompatibility class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.matching.relationships
Class Incompatibility

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.matching.relationships.SemanticRelationship
            |
            +--uk.ac.ic.doc.automed.matching.relationships.Incompatibility

public class Incompatibility
extends SemanticRelationship

Field Summary
`static SemanticRelationship` | `INSTANCE`
`java.lang.String` | `NAME`
`java.lang.String` | `REL_BETWEEN_ELEMENTS`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getName()`
`static SemanticRelationship` | `getRelationship()`
`protected int` | `getStrength()`
`java.lang.String` | `toString()`

Methods inherited from class uk.ac.ic.doc.automed.matching.relationships.SemanticRelationship
`isStronger`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public final java.lang.String NAME

See Also:
  Constant Field Values

### REL_BETWEEN_ELEMENTS

    public final java.lang.String REL_BETWEEN_ELEMENTS

See Also:
  Constant Field Values

### INSTANCE

    public static final SemanticRelationship INSTANCE

Method Detail

### getRelationship

    public static SemanticRelationship getRelationship()

### getStrength

    protected int getStrength()

  Specified by:
    `getStrength` in class `SemanticRelationship`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `SemanticRelationship`

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `SemanticRelationship`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in class `SemanticRelationship`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD